<template>
  <div class="container">
    <div class="list-container">
      <label for="full">full view</label>
      <input type="radio" id="full" value="0" v-model="checkedView" />
      <label for="short">short view</label>
      <input type="radio" id="short" value="1" v-model="checkedView" />
      <div v-if="checkedView === '1'">
        <p v-for="item in lst" :key="item._id">
          {{ item.title }} {{ item.main }}
        </p>
      </div>
      <div v-else-if="checkedView === '0'">
        <p v-for="item in trimmedList" :key="item._id">
          {{ item.title }} {{ item.main }}
        </p>
        <h2>Full length: {{ lst.length }}</h2>
      </div>
    </div>
  </div>
</template>

<script>
import { state } from "../store";

export default {
  name: "Block",
  data() {
    return {
      checkedView: "0"
    };
  },
  props: {
    lst: Array,
    trimmedList: Array
  }
};
</script>

<style scoped>
p {
  width: fit-content;
  margin: 5px auto;
}
.container {
  margin: 15px 0;
  border: 1px solid black;
}
</style>
